using _Core;

namespace Seayoo.ComboSDK.Windows.Store.Networking.Model
{
    internal class QueryPayment
    {
        public class Request : Serializable
        {
            [Newtonsoft.Json.JsonProperty("order_token")]
            public string orderToken;

            [Newtonsoft.Json.JsonProperty("payment_method")]
            public string paymentMethod;
        }

        public class Response : Serializable
        {
            [Newtonsoft.Json.JsonProperty("order_id")]
            public string orderId;

            [Newtonsoft.Json.JsonProperty("payment_status")]
            public string paymentStatus;
        }
    }

}
